=== debian/changelog ===
kauth (5.54.0-2) unstable; urgency=high

  * Team upload.
  * SECURITY UPDATE:
  * References:
    - CVE-2019-7443
    - https://mail.kde.org/pipermail/kde-announce/2019-February/000011.html
  * Remove support for passing gui QVariants to KAuth helpers (Closes:
    #921995)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 10 Feb 2019 23:22:23 -0500

kauth (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:24 -0300

kauth (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:26 +0100

kauth (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update symbols files from buildds logs (5.47.0-1).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:06 +0200

kauth (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update symbols files from buildds logs (5.46.0-1).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:08:13 +0200
