## kauth 5.56.0

=== debian/changelog ===
kauth (5.56.0-0ubuntu4) disco; urgency=medium

  * Bump -dev package frameworks depends to 5.56.0.
  * Add missing Breaks/Replaces for new libkf5authcore5 library package.
    (LP: #1819377)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 10 Mar 2019 21:46:42 +0000

kauth (5.56.0-0ubuntu3) disco; urgency=medium

  * Add missing Breaks/Replaces for new libkf5authcore5 library package.
    (LP: #1819377)
  * Correct typo in Replaces field

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 10 Mar 2019 21:33:59 +0000

kauth (5.56.0-0ubuntu2) disco; urgency=medium

  * Add missing Breaks/Replaces for new libkf5authcore5 library package.
    (LP: #1819377)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 10 Mar 2019 21:22:25 +0000

kauth (5.56.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New lib libkf5authcore5.
  * Update symbols from build logs.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:34:26 +0000

kauth (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)
  * debian/patches/CVE-2019-7443.patch
    - Drop as applied in this release.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:29:30 +0000

kauth (5.54.0-2ubuntu1) disco; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Breaks/Replaces to suit Kubuntu version history.
    - Correct errors in long description for libkf5auth-dev-bin
    - Pass -fno-keep-inline-functions to GCC for the acc test.
    - Keep our symbols file.
   * Fixes CVE-2019-7443 (LP: #1815427)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Feb 2019 10:04:00 +0000

kauth (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:33:41 +0000

kauth (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:32 +0000

kauth (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:07 +0000
