=== debian/control ===
Source: kauth
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libkf5coreaddons-dev (>= 5.56.0~),
               libpolkit-qt5-1-dev,
               libqt5sql5-sqlite,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kauth
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth

Package: libkf5auth-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
 .
 This package contains data files.

Package: libkf5auth-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5auth-dev-bin (= ${binary:Version}),
         libkf5auth5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.56.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5auth-bin-dev (<< 5.47)
Replaces: libkf5auth-bin-dev (<< 5.47)
Recommends: libkf5auth-doc (= ${source:Version})
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
 .
 This package contains development files for kauth.

Package: libkf5auth-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Breaks: libkf5auth-bin-dev (<< 5.47), libkf5auth-dev (<< 5.42.0-1~)
Replaces: libkf5auth-bin-dev (<< 5.47), libkf5auth-dev (<< 5.42.0-1~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
 .
 This package contains helper binaries for development.
 You never depend on this directly, because the *.cmake files are
 not included in this package, because they are arch-dependent.

Package: libkf5auth-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Abstraction to system policy and authentication features (documentation)
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5auth5
Architecture: any
Multi-Arch: same
Depends: libkf5auth-data (= ${source:Version}),
         libkf5authcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.

Package: libkf5authcore5
Architecture: any
Multi-Arch: same
Depends: libkf5auth-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5auth5 (<< 5.56.0~)
Replaces: libkf5auth5 (<< 5.56.0~)
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
