## kauth 5.62.0

=== debian/changelog ===
kauth (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:52 -0700

kauth (5.61.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Drop upstream patch
  * Update symbols file
  * Add a symbols file for libkf5authcore5
  * Ignore reprotest build path variations
  * Test piuparts with extra_repository
  * Release to experimental

  [ Jonathan Riddell ]
  * update .install
  * remove file from /etc
  * moved qdebug files

  [ Rik Mills ]
  * new lib libkf5authcore5

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:12 +0100
