=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.62.0~),
                graphviz,
-               libkf5coreaddons-dev (>= 5.56.0~),
+               libkf5coreaddons-dev (>= 5.62.0~),
                libpolkit-qt5-1-dev,
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.11.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kauth
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kauth
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kauth.git
 
 Package: libkf5auth-data
 Architecture: all
@@ -39,11 +39,11 @@
 Multi-Arch: same
 Depends: libkf5auth-dev-bin (= ${binary:Version}),
          libkf5auth5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.56.0~),
+         libkf5coreaddons-dev (>= 5.62.0~),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf5auth-bin-dev (<< 5.47)
-Replaces: libkf5auth-bin-dev (<< 5.47)
+Breaks: libkf5auth-bin-dev (<< 5.41.0-1~), libkf5configwidgets-dev (<< 5.54)
+Replaces: libkf5auth-bin-dev (<< 5.41.0-1~)
 Recommends: libkf5auth-doc (= ${source:Version})
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
@@ -57,8 +57,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Breaks: libkf5auth-bin-dev (<< 5.47), libkf5auth-dev (<< 5.42.0-1~)
-Replaces: libkf5auth-bin-dev (<< 5.47), libkf5auth-dev (<< 5.42.0-1~)
+Breaks: libkf5auth-bin-dev (<< 5.42.0-1~), libkf5auth-dev (<< 5.42.0-1~)
+Replaces: libkf5auth-bin-dev (<< 5.42.0-1~), libkf5auth-dev (<< 5.42.0-1~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
@@ -67,8 +67,8 @@
  KAuth is part of KDE Frameworks 5.
  .
  This package contains helper binaries for development.
- You never depend on this directly, because the *.cmake files are
- not included in this package, because they are arch-dependent.
+ You never should depend on this directly, cause the *.cmake files are
+ not included in that package (as they are arch-dependant).
 
 Package: libkf5auth-doc
 Architecture: all
@@ -95,6 +95,37 @@
  privileged user.
  .
  KAuth is part of KDE Frameworks 5.
+Breaks: kdesignerplugin (<< 5.42),
+        kio (<< 5.54),
+        kross (<< 5.42),
+        ktexteditor-katepart (<< 5.42),
+        libkf5bookmarks5 (<< 5.42),
+        libkf5configwidgets5 (<< 5.54),
+        libkf5iconthemes5 (<< 5.42),
+        libkf5kcmutils5 (<< 5.54),
+        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5-bin (<< 5.42),
+        libkf5khtml-bin (<< 5.42),
+        libkf5khtml5 (<< 5.42),
+        libkf5kiocore5 (<< 5.54),
+        libkf5kiofilewidgets5 (<< 5.42),
+        libkf5kiowidgets5 (<< 5.42),
+        libkf5krossui5 (<< 5.42),
+        libkf5mediaplayer5 (<< 5.42),
+        libkf5newstuff5 (<< 5.42),
+        libkf5parts-plugins (<< 5.42),
+        libkf5parts5 (<< 5.42),
+        libkf5plasma5 (<< 5.42),
+        libkf5plasmaquick5 (<< 5.42),
+        libkf5style5 (<< 5.42),
+        libkf5texteditor-bin (<< 5.54),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.42),
+        libkf5wallet-bin (<< 5.42),
+        libkf5webkit5 (<< 5.42),
+        libkf5xmlgui5 (<< 5.42),
+        plasma-framework (<< 5.42),
+        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
 
 Package: libkf5authcore5
 Architecture: any
@@ -102,8 +133,8 @@
 Depends: libkf5auth-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf5auth5 (<< 5.56.0~)
-Replaces: libkf5auth5 (<< 5.56.0~)
+Breaks: libkf5auth5 (<< 5.56~)
+Replaces: libkf5auth5 (<< 5.56~)
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.
