=== debian/changelog ===
kauth (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:55:46 +0000

kauth (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:48:15 +0000

kauth (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:17:23 +0000

kauth (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 22:57:12 +0000

kauth (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:22:49 +0000

kauth (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:05:15 +0100

kauth (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:40:47 +0100

kauth (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:14:27 +0100

kauth (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)
  * d/patches: upstream_dont-hardcode-dbus-policy-install-dir.patch
    - Drop as included in 5.59.0
  * Update lintian overrides.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:17:41 +0100

kauth (5.58.0-0ubuntu2) eoan; urgency=medium

  * d/patches: add upstream_dont-hardcode-dbus-policy-install-dir.patch
  * Move dbus policy file to new location.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 18:03:43 +0100

kauth (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:38:26 +0100

kauth (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:36:11 +0100
